VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::Resource Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::Resource:

## Avaliable Methods
public method | new ()
public method | list ()

## Detailed Description

The class Com::Vmware::Vapi::Metadata::Metamodel::Resource interface provides methods* to retrieve information about resource types.

A service is a logical grouping of operations that operate on an entity. Each entity is identifier by a namespace (or resource type) and an unique identifier.

Constant String::RESOURCE_TYPE # Resource type for resource.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::Resource::list | ( |  | ) |

Returns the set of resource types present across all the service elements contained in all the package elements.

Return values

  Set | of resource types The value will be an identifier for the resource type getQualifiedName(com.vmware.vapi.resource). The return type will be Set of str

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Resource::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/Resource.pm